#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>

int main()
{
    char names[] = {'C', 'C', 'D', 'D', 'E', 'F', 'F', 'G', 'G', 'A', 'A', 'B'};
    char note, extra[2];
    int octave, i, j;
    float freq, baseF=8.175, twoPow=1.059463;
    
    for (i=0; i < 128; i++) {
        octave = (i / 12) - 1;

        j = (i % 12);
        note = names[j];
        strcpy(extra, "");
        if ((j == 1) || (j == 3) || (j == 6) || (j == 8) || (j == 10))
           strcpy(extra, "#");
           
        freq = baseF * pow(twoPow, i);
        printf("note = %c%d%s, freq = %4.2f\n", note, octave, extra, freq);
    }
}
